%define upstream_name    DBIx-Class-UUIDColumns
%define upstream_version 0.02006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Create uuids using Win32API::GUID
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::UUID)
BuildRequires: perl(Class::Accessor::Grouped)
BuildRequires: perl(DBD::SQLite) >= 1.110.0
BuildRequires: perl(DBIx::Class) >= 0.70.50
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildArch:  noarch

Requires: perl(Data::UUID)

%description
This the DBIx::Class manpage component resembles the behaviour of the
Class::DBI::UUID manpage, to make some columns implicitly created as uuid.

When loaded, 'UUIDColumns' will search for a suitable uuid generation
module from the following list of supported modules:

  Data::UUID
  APR::UUID*
  UUID
  Win32::Guidgen
  Win32API::GUID

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.20.60-3.mga3
+ Revision: 365131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.20.60-2.mga2
+ Revision: 220189
- adding manual requires:

* Wed Jan 04 2012 jquelin <jquelin> 0.20.60-1.mga2
+ Revision: 190595
- adding missing buildrequires:
- update to 0.02006

* Tue Jan 25 2011 jquelin <jquelin> 0.20.50-4.mga1
+ Revision: 38587
- mageia rebuild
- imported package perl-DBIx-Class-UUIDColumns

